io.undertow.server.handlers.proxy

## Enum RouteParsingStrategy

- java.lang.Object
- - java.lang.Enum<RouteParsingStrategy>
  - - io.undertow.server.handlers.proxy.RouteParsingStrategy

All Implemented Interfaces:
  Serializable, Comparable<RouteParsingStrategy>

    public enum RouteParsingStrategy
    extends Enum<RouteParsingStrategy>

Enumeration of supported route parsing strategies.

Author:
  Radoslav Husar

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NONE` Ignores encoded route/affinity information altogether, essentially disabling session stickiness on the load balancer.
`RANKED` Enables ranked affinity support.
`SINGLE` Default behavior.

### Method Summary

All Methods Static Methods Concrete Methods
`static RouteParsingStrategy` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RouteParsingStrategy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final RouteParsingStrategy NONE

Ignores encoded route/affinity information altogether, essentially disabling session stickiness on the load balancer.

#### SINGLE

    public static final RouteParsingStrategy SINGLE

Default behavior.

#### RANKED

    public static final RouteParsingStrategy RANKED

Enables ranked affinity support.

### Method Detail

#### values

    public static RouteParsingStrategy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RouteParsingStrategy c : RouteParsingStrategy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RouteParsingStrategy valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null